/*****************************************************************************\
* Copyright (c) 2002 Pelle Johansson.                                         *
* All rights reserved.                                                        *
*                                                                             *
* This file is part of the moftpd package. Use and distribution of            *
* this software is governed by the terms in the file LICENCE, which           *
* should have come with this package.                                         *
\*****************************************************************************/

/* $moftpd: defaults.h,v 1.3 2003/08/23 16:07:17 morth Exp $ */
/* $Id$ */

/* 
 * defaults.h
 *
 *    Default values for various configuration options.
 *
 */

#ifndef _DEFAULTS_H
#define _DEFAULTS_H

#define defAllowForeign		0
#define defAllowLowPorts	0
#define defAllowUnbound		0
#define defMinPasvPort		49152
#define defMaxPasvPort		65534
#define defPassIfInvalid	1
#define defPassRequestMsg	"User name ok. Need password."
#define defAnonPassMsg		"Anonymous login ok. Send your email as password."
#define defUserInvalidMsg	"Invalid user."
#define defLoginFailedMsg	"Login Failed."
#define defAllowLogin		1
#define defAllowSecLogin	1
#define defPasswordNeeded	1
#define defMaxIdle		(10 * 60)
#define defSleepOnFail		5
#define defMaxLoginAttempts	3
#define defTLSOptions		0

#endif /*_DEFAULTS_H*/
